Bug 1649 - При reboot/shutdown возникает kernel oops из-за usb
: При reboot/shutdown возникает kernel oops из-за usb
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel24-up)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-12-01 15:45 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-12-01 15:45:29
Dec  1 14:23:14 sass usb: Unloading USB mouse: succeeded
Dec  1 14:23:14 sass kernel: usb.c: deregistering driver hiddev
Dec  1 14:23:14 sass kernel: usb.c: deregistering driver hid
Dec  1 14:23:15 sass kernel: usb.c: deregistering driver usb_mouse
Dec  1 14:23:15 sass kernel: kernel BUG at inode.c:1088!
Dec  1 14:23:15 sass kernel: invalid operand: 0000 2.4.20-alt0.1-adv-up #1 Wed Nov 6 17:15:10 MSK 2002
Dec  1 14:23:15 sass kernel: CPU:    0
Dec  1 14:23:15 sass kernel: EIP:    0010:[iput+564/590]    Tainted: P
Dec  1 14:23:15 sass kernel: EIP:    0010:[<8015223a>]    Tainted: P
Dec  1 14:23:15 sass kernel: EFLAGS: 00010246
Dec  1 14:23:15 sass kernel: eax: 89d1faf4   ebx: 89d1f9e0   ecx: 89d1faf4   edx: 89d1f9e0
Dec  1 14:23:15 sass kernel: esi: 8ac79c00   edi: 00000000   ebp: 83a3ef40   esp: 87051f3c
Dec  1 14:23:15 sass kernel: ds: 0018   es: 0018   ss: 0018
Dec  1 14:23:15 sass kernel: Process umount (pid: 3120, stackpage=87051000)
Dec  1 14:23:15 sass kernel: Stack: 89d1f9e0 89d1f9e0 801510e5 8ac79c00 8ac79cf8 83a389ba 83a38a0b 89d1f9e0
Dec  1 14:23:15 sass kernel:        8ac79c00 8ac79c48 80142cf0 8ac79c00 83a3ef8c 00000000 87051f8c 08052558
Dec  1 14:23:15 sass kernel:        7ffffd18 80154229 8ac79c00 00000000 889562c0 812cf4a0 82a1f500 080566b8
Dec  1 14:23:15 sass kernel: Call Trace:    [destroy_inode+79/82] [3c59x:__insmod_3c59x_O/lib/modules/2.4.20-alt0.1-adv-up/ke
rnel/dr+-1111622/96] [3c59x:__insmod_3c59x_O/lib/modules/2.4.20-alt0.1-adv-up/kernel/dr+-1111541/96] [kill_super+270/316] [3c
59x:__insmod_3c59x_O/lib/modules/2.4.20-alt0.1-adv-up/kernel/dr+-1085556/96]
Dec  1 14:23:15 sass kernel: Call Trace:    [<801510e5>] [<83a389ba>] [<83a38a0b>] [<80142cf0>] [<83a3ef8c>]
Dec  1 14:23:15 sass kernel:   [sys_umount+63/152] [sys_oldumount+23/28] [system_call+51/64]
Dec  1 14:23:15 sass kernel:   [<80154229>] [<80154299>] [<80108e73>]
Dec  1 14:23:15 sass kernel: Modules: [(usbcore:<83a30060>:<83a3f194>)]
Dec  1 14:23:15 sass kernel: Code: 0f 0b 40 04 e3 cf 21 80 e9 ef fd ff ff c7 04 24 31 00 00 00
Dec  1 14:23:15 sass usb: Unmounting USB filesystem: failed
Dec  1 14:23:15 sass kernel:  <6>usb.c: USB disconnect on device 00:11.2-0 address 1
Dec  1 14:23:15 sass kernel: usb.c: USB disconnect on device 00:11.2-2 address 2
Dec  1 14:23:15 sass kernel: Unable to handle kernel NULL pointer dereference at virtual address 00000004
Dec  1 14:23:15 sass usb: Unloading USB interface (usb-uhci): failed
Dec  1 14:23:15 sass kernel:  printing eip:
Dec  1 14:23:15 sass kernel: 83a37d01
Dec  1 14:23:15 sass kernel: *pde = 00000000
Dec  1 14:23:15 sass kernel: Oops: 0002 2.4.20-alt0.1-adv-up #1 Wed Nov 6 17:15:10 MSK 2002
Dec  1 14:23:15 sass kernel: CPU:    0
Dec  1 14:23:15 sass kernel: EIP:    0010:[3c59x:__insmod_3c59x_O/lib/modules/2.4.20-alt0.1-adv-up/kernel/dr+-1114879/96]
Tainted: P
Dec  1 14:23:15 sass kernel: EIP:    0010:[<83a37d01>]    Tainted: P
Dec  1 14:23:15 sass kernel: EFLAGS: 00010206
Dec  1 14:23:15 sass kernel: eax: 00000000   ebx: 00000000   ecx: 89d1fafc   edx: 89d1f9e0
Dec  1 14:23:15 sass kernel: esi: 00000000   edi: 8ff1ec00   ebp: 8ff22f60   esp: 8144fe68
Dec  1 14:23:15 sass kernel: ds: 0018   es: 0018   ss: 0018
Dec  1 14:23:15 sass kernel: Process modprobe (pid: 3125, stackpage=8144f000)
Dec  1 14:23:15 sass kernel: Stack: 8ff1ecf8 83a38f39 89d1f9e0 8144fe78 8ffdff74 8ffdff74 00000000 801281ba
Dec  1 14:23:15 sass kernel:        8144fe98 00000000 00000002 ffffffff 8144feb8 80246100 8144feec 8c2503a0
Dec  1 14:23:15 sass kernel:        fffffffe 80209cb1 8574230c 7a8bdcf4 00000286 8ff1ec00 00000286 812c5270
Dec  1 14:23:15 sass kernel: Call Trace:    [3c59x:__insmod_3c59x_O/lib/modules/2.4.20-alt0.1-adv-up/kernel/dr+-1110215/96] [
__call_usermodehelper+0/60] [vsprintf+39/44] [3c59x:__insmod_3c59x_O/lib/modules/2.4.20-alt0.1-adv-up/kernel/dr+-1142857/96]
[3c59x:__insmod_3c59x_O/lib/modules/2.4.20-alt0.1-adv-up/kernel/dr+-1091580/96]
Dec  1 14:23:15 sass kernel: Call Trace:    [<83a38f39>] [<801281ba>] [<80209cb1>] [<83a30fb7>] [<83a3d804>]
Dec  1 14:23:15 sass kernel:   [3c59x:__insmod_3c59x_O/lib/modules/2.4.20-alt0.1-adv-up/kernel/dr+-1086336/96] [3c59x:__insmo
d_3c59x_O/lib/modules/2.4.20-alt0.1-adv-up/kernel/dr+-1138356/96] [3c59x:__insmod_3c59x_O/lib/modules/2.4.20-alt0.1-adv-up/ke
rnel/dr+-1086336/96] [3c59x:__insmod_3c59x_O/lib/modules/2.4.20-alt0.1-adv-up/kernel/dr+-1138328/96] [emu10k1:emu10k1_mixer_f
ops+50742944/24816072] [emu10k1:emu10k1_mixer_fops+50736610/24822406]
Dec  1 14:23:15 sass kernel:   [<83a3ec80>] [<83a3214c>] [<83a3ec80>] [<83a32168>] [<8fd358e0>] [<8fd34022>]
Dec  1 14:23:15 sass kernel:   [qm_refs+178/380] [pci_unregister_driver+87/90] [emu10k1:emu10k1_mixer_fops+50737831/24821185]
 [emu10k1:emu10k1_mixer_fops+50742944/24816072] [free_module+167/176] [sys_delete_module+164/440]
Dec  1 14:23:15 sass kernel:   [<8011cfe8>] [<801a52a3>] [<8fd344e7>] [<8fd358e0>] [<8011d71f>] [<8011cb30>]
Dec  1 14:23:15 sass kernel:   [system_call+51/64]
Dec  1 14:23:15 sass kernel:   [<80108e73>]
Dec  1 14:23:15 sass kernel: Modules: [(usb-uhci:<8fd30060>:<8fd3590c>)] [(usbcore:<83a30060>:<83a3f194>)]
Dec  1 14:23:15 sass kernel: Code: 89 58 04 89 03 8b 82 14 01 00 00 c7 41 04 00 00 00 00 89 8a
Dec  1 14:23:16 sass sound: Saving mixer settings: succeeded
Dec  1 14:23:16 sass sound: Unloading sound module (emu10k1): succeeded
Dec  1 14:23:16 sass kernel: Kernel logging (proc) stopped.
Dec  1 14:23:16 sass kernel: Kernel log daemon terminating.
Dec  1 14:23:17 sass klogd: klogd shutdown succeeded
Dec  1 14:23:18 sass exiting on signal 15

---

---

------- Comment #1 From 2002-12-28 16:31:08 -------
Fixed in 2.4.20-alt0.8
------- Comment #2 From 2002-12-28 16:31:08 -------
Fixed in 2.4.20-alt0.8